@import "../fonts/ptSans/style.css";
@import "../fonts/ptSansPro/stylesheet.css";

html {
    font-size: 10px;
    line-height: 1.2;
    /*overflow-x: hidden;*/
}

[data-fancybox] {
    cursor: pointer;
}

main {
    min-height: 100vmin;
}

body {
    color: #303030;
    background-color: #fff;
    font-family: "PT Sans", serif;
    font-size: 1.6rem;
    /* overflow-x: hidden; */
    /*overflow-x: clip;*/
}

ul, ol {
    padding-left: 1.2em;
}

@media (max-width: 699px) {
    body {
        font-size: 16px;
    }
}

.app {
    background-color: #fcfcfc;
}

/* IE 6 does not support max-width so default to width 100% */
.ie6 img {
    width: 100%;
}

input, button, a {
    -webkit-transition: all 300ms;
    transition: all 300ms;
}

a {
    text-decoration: none;
    color: inherit;
}

a, a::after, a::before, button, button::after, button::before {
    font-family: "PT Sans", serif;
}

/*html { font-size: 10px; line-height: 1.2; overflow-x: hidden; }*/
/*body { background: #fff; font-family: "PT Sans", serif; overflow-x: hidden; }*/
.main_b1,
.main_b2,
.main_b14,
.main_b1 a {
    font-family: "PT Sans", serif;
}

.container {
    width: calc(100% - 56px * 2);
    max-width: 1832px;
    margin-left: auto;
    margin-right: auto;
}

input, textarea, button {
    font-family: "PT Sans", serif;
}

svg, img {
    display: block;
}


* {
    box-sizing: border-box;
    outline: 0;
}

@media screen and (max-width: 1800px) {

    html {
        font-size: 8.5px;
    }

    html {
        font-size: 10px;
    }


}

@media screen and (max-width: 1600px) {

    html {
        font-size: 7px;
    }

    html {
        font-size: 9px;
    }


}


@media screen and (max-width: 1300px) {

    html {
        font-size: 6px;
    }

    html {
        font-size: 8px;
    }

}

@media screen and (max-width: 1100px) {
    html {
        font-size: 5px;
    }

}

@media screen and (max-width: 900px) {
    html {
        font-size: 4px;
    }
}

@media screen and (max-width: 699px) {
    .container {
        width: calc(100% - 8px * 2);
        max-width: 440px;
    }
}


/*APP OLD */
.modal {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1055;
    display: none;
    width: 100%;
    height: 100%;
    overflow-x: hidden;
    overflow-y: auto;
    outline: 0
}

.modal-dialog {
    position: relative;
    width: auto;
    margin: .5rem;
    pointer-events: none
}

.modal.fade .modal-dialog {
    -webkit-transition: -webkit-transform .3s ease-out;
    transition: -webkit-transform .3s ease-out;
    transition: transform .3s ease-out;
    transition: transform .3s ease-out, -webkit-transform .3s ease-out;
    -webkit-transform: scale(.8);
    transform: scale(.8)
}

@media (prefers-reduced-motion: reduce) {
    .modal.fade .modal-dialog {
        -webkit-transition: none;
        transition: none
    }
}

.modal.show .modal-dialog {
    -webkit-transform: none;
    transform: none
}

.modal.modal-static .modal-dialog {
    -webkit-transform: scale(1.02);
    transform: scale(1.02)
}

.modal-dialog-scrollable {
    height: calc(100% - 1rem)
}

.modal-dialog-scrollable .modal-content {
    max-height: 100%;
    overflow: hidden
}

.modal-dialog-scrollable .modal-body {
    overflow-y: auto
}

.modal-dialog-centered {
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    min-height: calc(100% - 1rem)
}

.modal-content,
.modal-dialog-centered {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex
}

.modal-content {
    position: relative;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    width: 100%;
    pointer-events: auto;
    background-color: #fff;
    background-clip: padding-box;
    border: 0 solid rgba(0, 0, 0, .2);
    border-radius: .3rem;
    outline: 0
}

.modal-backdrop {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1050;
    width: 100vw;
    height: 100vh;
    background-color: #000
}

.modal-backdrop.fade {
    opacity: 0
}

.modal-backdrop.show {
    opacity: .5
}

.modal-header {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-negative: 0;
    flex-shrink: 0;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    padding: 1rem;
    border-bottom: 1px solid #dee2e6;
    border-top-left-radius: calc(.3rem - 1px);
    border-top-right-radius: calc(.3rem - 1px)
}

.modal-header .btn-close {
    padding: .5rem;
    margin: -.5rem -.5rem -.5rem auto
}

.modal-title {
    margin-bottom: 0;
    line-height: 1.5
}

.modal-body {
    position: relative;
    -webkit-box-flex: 1;
    -ms-flex: 1 1 auto;
    flex: 1 1 auto;
    padding: 1rem
}

.modal-footer {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -ms-flex-negative: 0;
    flex-shrink: 0;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: end;
    -ms-flex-pack: end;
    justify-content: flex-end;
    padding: .75rem;
    border-top: 1px solid #dee2e6;
    border-bottom-right-radius: calc(.3rem - 1px);
    border-bottom-left-radius: calc(.3rem - 1px)
}

.modal-footer > * {
    margin: .25rem
}

@media (min-width: 576px) {
    .modal-dialog {
        max-width: 500px;
        margin: 1.75rem auto
    }

    .modal-dialog-scrollable {
        height: calc(100% - 3.5rem)
    }

    .modal-dialog-centered {
        min-height: calc(100% - 3.5rem)
    }

    .modal-sm {
        max-width: 300px
    }
}

@media (min-width: 992px) {
    .modal-lg,
    .modal-xl {
        max-width: 800px
    }
}

@media (min-width: 1200px) {
    .modal-xl {
        max-width: 1140px
    }
}

.modal-fullscreen {
    width: 100vw;
    max-width: none;
    height: 100%;
    margin: 0
}

.modal-fullscreen .modal-content {
    height: 100%;
    border: 0;
    border-radius: 0
}

.modal-fullscreen .modal-header {
    border-radius: 0
}

.modal-fullscreen .modal-body {
    overflow-y: auto
}

.modal-fullscreen .modal-footer {
    border-radius: 0
}

@media (max-width: 575.98px) {
    .modal-fullscreen-sm-down {
        width: 100vw;
        max-width: none;
        height: 100%;
        margin: 0
    }

    .modal-fullscreen-sm-down .modal-content {
        height: 100%;
        border: 0;
        border-radius: 0
    }

    .modal-fullscreen-sm-down .modal-header {
        border-radius: 0
    }

    .modal-fullscreen-sm-down .modal-body {
        overflow-y: auto
    }

    .modal-fullscreen-sm-down .modal-footer {
        border-radius: 0
    }
}

@media (max-width: 767.98px) {
    .modal-fullscreen-md-down {
        width: 100vw;
        max-width: none;
        height: 100%;
        margin: 0
    }

    .modal-fullscreen-md-down .modal-content {
        height: 100%;
        border: 0;
        border-radius: 0
    }

    .modal-fullscreen-md-down .modal-header {
        border-radius: 0
    }

    .modal-fullscreen-md-down .modal-body {
        overflow-y: auto
    }

    .modal-fullscreen-md-down .modal-footer {
        border-radius: 0
    }
}

@media (max-width: 991.98px) {
    .modal-fullscreen-lg-down {
        width: 100vw;
        max-width: none;
        height: 100%;
        margin: 0
    }

    .modal-fullscreen-lg-down .modal-content {
        height: 100%;
        border: 0;
        border-radius: 0
    }

    .modal-fullscreen-lg-down .modal-header {
        border-radius: 0
    }

    .modal-fullscreen-lg-down .modal-body {
        overflow-y: auto
    }

    .modal-fullscreen-lg-down .modal-footer {
        border-radius: 0
    }
}

@media (max-width: 1199.98px) {
    .modal-fullscreen-xl-down {
        width: 100vw;
        max-width: none;
        height: 100%;
        margin: 0
    }

    .modal-fullscreen-xl-down .modal-content {
        height: 100%;
        border: 0;
        border-radius: 0
    }

    .modal-fullscreen-xl-down .modal-header {
        border-radius: 0
    }

    .modal-fullscreen-xl-down .modal-body {
        overflow-y: auto
    }

    .modal-fullscreen-xl-down .modal-footer {
        border-radius: 0
    }
}

.marquiz__button_fixed-right {
    z-index: 99 !important;
}

@media (max-width: 900px) {
    .marquiz__button_fixed-right {
        bottom: 90px !important;
    }
}

@media (max-width: 1399.98px) {
    .modal-fullscreen-xxl-down {
        width: 100vw;
        max-width: none;
        height: 100%;
        margin: 0
    }

    .modal-fullscreen-xxl-down .modal-content {
        height: 100%;
        border: 0;
        border-radius: 0
    }

    .modal-fullscreen-xxl-down .modal-header {
        border-radius: 0
    }

    .modal-fullscreen-xxl-down .modal-body {
        overflow-y: auto
    }

    .modal-fullscreen-xxl-down .modal-footer {
        border-radius: 0
    }
}

.btn {
    padding: 11px 33px;
    font-weight: 700;
    font-size: 16px;
    letter-spacing: .05em;
    color: #fff;
    text-transform: uppercase;
    border: 1px solid transparent;
    border-radius: 4px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    overflow: hidden;
    position: relative;
    text-align: center;
}

.btn-primary {
    background-color: #3a3a3a;
}

@media (min-width: 699.5px) {
    .btn:hover {
        background-color: hsla(0, 0%, 100%, .25);
        cursor: pointer;
    }
}

.btn::after {
    width: 48px;
    left: 30px;
    opacity: 0;
    -webkit-filter: blur(5px);
    filter: blur(5px);
}

.popup-block__form-required p {
    margin: 0;
}

@media (min-width: 699.5px) {
    .btn:hover::after, .btn:hover::before {
        -webkit-transform: translateX(500px) skewX(-15deg);
        transform: translateX(500px) skewX(-15deg);
        -webkit-transition: .7s;
        transition: .7s;
    }

    .btn:hover::before {
        opacity: .6;
    }


    .btn:hover::after {
        opacity: 1;
    }
}

.btn::before {
    width: 60px;
    left: 0;
    opacity: .5;
    -webkit-filter: blur(30px);
    filter: blur(30px);
}

.btn::after,
.btn::before {
    content: "";
    display: block;
    position: absolute;
    background: hsla(0, 0%, 100%, .5);
    height: 100%;
    top: 0;
    -webkit-transform: translateX(-100px) skewX(-15deg);
    transform: translateX(-100px) skewX(-15deg);
    -webkit-transition: 0s;
    transition: 0s;
}

.btn-primary:hover {
    color: #fff;
    background-color: #949494;
}

.popup-block__form-btn .btn {
    cursor: pointer;
    font-size: 12px;
    width: 100%;
}

.popup-block__form-required {
    font-size: 12px;
    line-height: 20px;
    color: #6e6e6e;
    margin-bottom: 20px;
}

.form-control, .form-control:focus {
    background-color: transparent;
    font-size: 18px;
}

.popup-block__form .input-wrapper .form-control {
    border: 1px solid rgba(58, 58, 58, .15);
    border-radius: 4px;
    height: 48px;
    padding-left: 25px;
    font-size: 14px;
    color: #3a3a3a;
}

.popup-block__form .input-wrapper {
    position: relative;
    margin-bottom: 15px;
}

.form-control {
    display: block;
    width: 100%;
    padding: .375rem .75rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #212529;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    border-radius: .25rem;
    -webkit-transition: border-color .15s ease-in-out, -webkit-box-shadow .15s ease-in-out;
    transition: border-color .15s ease-in-out, -webkit-box-shadow .15s ease-in-out;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out, -webkit-box-shadow .15s ease-in-out;
}

.form-control {
    border: 1px #c2c2c2;
    border-style: none none solid;
    border-radius: 0;
    padding: 0;
    letter-spacing: .05em;
}

.form-control, .form-control:focus {
    background-color: transparent;
    font-size: 18px;
}

.popup-block__form {
    margin-top: 30px;
}

.popup-block__text {
    font-size: 14px;
    line-height: 18px;
    text-align: center;
    letter-spacing: .02em;
    color: #6e6e6e;
}

.popup-block__title {
    font-weight: 500;
    font-size: 24px;
    line-height: 29px;
    margin-bottom: 15px;
    text-align: center;
    letter-spacing: .01em;
}

.popup-block__wrapper {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
}

.popup-block__modal-close {
    position: absolute;
    right: -22px;
    top: -30px;
    width: 13px;
    height: 13px;
    -webkit-transition: all .2s ease-in-out;
    transition: all .2s ease-in-out;
}

.popup-block {
    position: relative;
}

.modal-body {
    position: relative;
    -webkit-box-flex: 1;
    -ms-flex: 1 1 auto;
    flex: 1 1 auto;
    padding: 1rem;
}

.modal-content, .modal-dialog-centered {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
}

.modal-content {
    position: relative;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    width: 100%;
    pointer-events: auto;
    background-color: #fff;
    background-clip: padding-box;
    border: 0 solid rgba(0, 0, 0, .2);
    border-radius: 6px;
    outline: 0;
}

.modal-dialog {
    position: relative;
    width: auto;
    margin: .5rem;
    pointer-events: none;
}

.modal-content, .modal-dialog-centered {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
}

.modal-dialog-centered {
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    min-height: calc(100% - 1rem);
}

@media (min-width: 576px) {
    .modal-inner .modal-dialog {
        max-width: 425px;
    }

    .modal-dialog-centered {
        min-height: calc(100% - 3.5rem);
    }

    .modal-inner .modal-dialog .modal-body {
        padding: 50px 40px 40px;
    }

    .modal-dialog {
        max-width: 500px;
        margin: 1.75rem auto;
    }
}


body div.bxml-dialog {
    color: #303030;
    padding-bottom: 70px;
    box-sizing: content-box;
}

input[type="text"].is_invalid {
    border-color: red;
}

input[type="checkbox"] + span,
input[type="text"] {
    transition: border .3s;
}

input[type="checkbox"].is_invalid + span {
    border-color: red;
}

.form-errors {
    display: flex;
    align-items: center;
    background-color: #ffe9b5;
    padding: 1.4rem;
    gap: 1.4rem;
    font-size: 2rem;
}

.form-errors-icon svg {
    --fill: #374151;
    width: 4.4rem;
    height: 4.4rem;
}

@media (min-width: 699px) {
    .fancybox__caption {
        font-size: 20px;
    }
}

@media (max-width: 699px) {
    .form-errors {
        padding: 14px;
        gap: 14px;
        font-size: 14px;
    }

    .form-errors-icon svg {
        width: 36px;
        height: 36px;
    }
}


/* SCROLL UP BTN */
#scroll_up {
    --c-fill: #303030;
    --a-fill: #fff;
    cursor: pointer;
    --svg-size: 50px;
    visibility: hidden;
    opacity: 0;
    transition: .2s ease-out;
    position: fixed;
    display: flex;
    z-index: 98;
    border-radius: 100%;
    box-shadow: 0 4px 10px rgba(0, 0, 0, .3);
    justify-content: center;
    align-items: center;

    transform: translateY(15px);
    width: var(--svg-size);
    height: var(--svg-size);
    bottom: 80px;
    right: 2px;
}

@media screen and (min-width: 2150px) {
    #scroll_up {
        right: calc((100% - 2050px) / 2);
    }
}

@media screen and (max-width: 768px) {
    #scroll_up {
        --svg-size: 46px;
        right: 24px;
    }
}

#scroll_up svg {
    width: 100%;
    height: 100%;
}

body.show_upbtn #scroll_up {
    transform: translateY(0px);
    visibility: visible;
    opacity: .6;
}

body.show_upbtn #scroll_up:hover {
    opacity: 1;
}
